From: Dmitry Shachnev <mitya57@gmail.com>
Date: Thu, 8 Oct 2015 12:56:36 -0700
Subject: make sure build flags are applied when building designer plugin

Forwarded: no
Last-Update: 2013-11-11
---
 configure.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/configure.py b/configure.py
index a537298..24ad011 100644
--- a/configure.py
+++ b/configure.py
@@ -995,6 +995,10 @@ include(%s)
                 if src_dir != os.path.curdir:
                     fout.write("VPATH = %s\n" % os.path.join(src_dir, "designer"))
 
+                fout.write("QMAKE_CFLAGS += %s\n" % macros["CFLAGS"])
+                fout.write("QMAKE_CXXFLAGS += %s\n" % macros["CXXFLAGS"])
+                fout.write("QMAKE_LFLAGS += %s\n" % macros["LFLAGS"])
+
                 fout.write(prj)
                 fout.close()
 
@@ -2170,6 +2174,7 @@ def main():
         sipconfig.error("This version of PyQt requires SIP v%s or later" % sipconfig.version_to_string(sip_min_version))
 
     global opts
+    global macros
 
     # Parse the command line.
     p = create_optparser()
